unit uCdecl;

interface

uses Rubies;

type
  TCallbackMethodType = (ctRetnil, ctRetval);

function GetCallbackMethod(ct: TCallbackMethodType): TFunc1;

implementation

uses uHandle;

function GetCallbackMethod(ct: TCallbackMethodType): TFunc1;
begin
  case ct of
  ctRetnil:
    Result := @retnil;
  ctRetval:
    Result := @retval;
  else
    Result := nil;
  end;
end;

end.
